package market.Qms.com.service;

import java.util.List;

import market.Qms.com.vo.BaseProduct;
import market.Qms.common.RequestModel;
import market.Qms.common.ReturnMsg;

import com.hnshituo.basic.service.BaseService;

public interface BaseProductService extends BaseService<BaseProduct, String> {
	
	/**
	 * 获取所有产品名称
	 * @param product 产品类参数
	 * @return 
	 */
	ReturnMsg<List<BaseProduct>> GetProduct(RequestModel<BaseProduct> product);
	
	/**
	 * 保存产品
	 * @param product
	 * @return
	 */
	ReturnMsg<BaseProduct> SaveProduct(BaseProduct product);
	
	/**
	 * 软删除产品
	 * @param productCode
	 * @return
	 */
	ReturnMsg DeleteProduct(String deleteName,String productCode);
	
	/**
	 * 软删除产品
	 * @param productCode 产品编号集合
	 * @return
	 */
	ReturnMsg DeleteProducts(List<String> productCode);
	
	/**
	 * 恢复
	 * @param productCode
	 * @return
	 */
	ReturnMsg  RenewProducdt(String deleteName,String productCode);
	
	/**
	 * 软删除产品
	 * @param productCode 产品编号集合
	 * @return
	 */
	ReturnMsg RenewProducdts(List<String> productCode);
}
